Index: WAeUP_SRP/trunk/skins/waeup_fceoyo/getSchoolFee.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_fceoyo/getSchoolFee.py	(revision 3736)
+++ WAeUP_SRP/trunk/skins/waeup_fceoyo/getSchoolFee.py	(revision 3739)
@@ -14,7 +14,7 @@
 
 
-ARTS = ('CRS','ISS','HIS','MUS','ECO','GEO','POL','SOS','CCA','ECU','THA','GED','GSE','PES','SPC','ENG ','FRE','ARB','HAU','IGB','YOR','FAA')
+ARTS = ('CRS','ISS','MUS','SOS','THA','PES')
 
-# SCS = ('BIO','CHE','HED','MAT','PED','PHY ','CSC','ISC','PHE','AGE','BED','HEC','TED')
+# SCS = ('BIO','HEC','MAT','ARB','ISC','IGB','YOR','HAU','ENG ','FRE','PHY ','CSC','PHE','AGE','FAA','BED','HEC')
 
 d = {}
@@ -23,28 +23,33 @@
     if str(brain.level) == '000' and brain.review_state == 'cleared_and_validated':
         if brain.department in ARTS:
-            d['all'] = 15900
+            d['all'] = 16950
         else:
-            d['all'] = 16400
+            d['all'] = 17550
     elif str(brain.level) == '100' and brain.review_state == 'cleared_and_validated':
         if brain.department in ARTS:
-            d['all'] = 13020
+            d['all'] = 9820
         else:
-            d['all'] = 13495
+            d['all'] = 10420
     elif str(brain.level) == '100' and brain.review_state == 'returning':
         if brain.department in ARTS:
-            d['all'] = 12070
+            d['all'] = 7820
         else:
-            d['all'] = 12545
+            d['all'] = 8420
     elif str(brain.level) in ('200','210','220'):
         if brain.department in ARTS:
-            d['all'] = 12070
+            d['all'] = 5450
         else:
-            d['all'] = 12545
+            d['all'] = 6050
     # repeaters = spillover
-    elif str(brain.level) in ('300','310','320'):
+    elif str(brain.level) == '300':
         if brain.department in ARTS:
-            d['all'] = 10170
+            d['all'] = 6200
         else:
-            d['all'] = 10645
+            d['all'] = 6800
+    elif str(brain.level) in ('310','320'):
+        if brain.department in ARTS:
+            d['all'] = 4950
+        else:
+            d['all'] = 6800            
     else:
         d['all'] = 0
@@ -52,35 +57,30 @@
     if str(brain.level) == '100' and brain.review_state == 'cleared_and_validated':
         if brain.department in ARTS:
-            d['all'] = 21900
+            d['all'] = 11000
         else:
-            d['all'] = 22400
+            d['all'] = 11000
     elif str(brain.level) == '100' and brain.review_state == 'returning':
         if brain.department in ARTS:
-            d['all'] = 18400
+            d['all'] = 11000
         else:
-            d['all'] = 18900
+            d['all'] = 11000
     elif str(brain.level) in ('200','210','220'):
         if brain.department in ARTS:
-            d['all'] = 20400
+            d['all'] = 10000
         else:
-            d['all'] = 20900
+            d['all'] = 10000
     elif str(brain.level) in ('300','310','320'):
         if brain.department in ARTS:
-            d['all'] = 18400
+            d['all'] = 9500
         else:
-            d['all'] = 18900
+            d['all'] = 9500
 
+    # repeaters = spillover
     elif str(brain.level) in ('400','410','420'):
         if brain.department in ARTS:
-            d['all'] = 18400
+            d['all'] = 9000
         else:
-            d['all'] = 18900
+            d['all'] = 9000
 
-    # repeaters = spillover
-    elif str(brain.level) in ('500','510','520'):
-        if brain.department in ARTS:
-            d['all'] = 16900
-        else:
-            d['all'] = 17400
     else:
         d['all'] = 0
Index: WAeUP_SRP/trunk/skins/waeup_fceoyo/pay_interswitch.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_fceoyo/pay_interswitch.py	(revision 3736)
+++ WAeUP_SRP/trunk/skins/waeup_fceoyo/pay_interswitch.py	(revision 3739)
@@ -48,8 +48,8 @@
     return context.interswitch_form(info=info)
 
-info['site_id'] = '83'
+info['site_id'] = '115'
 info['currency_id'] = '566'
+pay_item_id = "11500"
 
-pay_item_id = "8302"
 #info['type_code'] = sbrain.course  #type_code is redundant and will be removed soon
 info['bank'] = ''
@@ -67,5 +67,5 @@
 now = DateTime.DateTime()
 info['date'] = now
-info['pay_ship_to'] = "Federal College of Education Okene"
+info['pay_ship_to'] = "Federal College of Education Oyo"
 timestamp = "%d" % int(now.timeTime()*1000)
 info['order_id'] = "%s%s" % (student_id[1:],timestamp)
@@ -73,5 +73,5 @@
 
 
-info['surcharge'] = interswitch_amount = '150'
+info['surcharge'] = interswitch_amount = '300'
 info['amount'] = amount = fee_dict['all']
 total_amount = 100*int(amount) + 100*int(interswitch_amount)
@@ -82,5 +82,5 @@
 
 if True:
-    info['action'] = "https://webpay.interswitchng.com/paydirect/webpay/pay.aspx"
+    info['action'] = "https://webpay.interswitchng.com/test_paydirect/webpay/pay.aspx"
 else:
     #pass
@@ -128,11 +128,42 @@
     args[arg] = info[field]
 
+bt_amount = 1750
+
+fceoyo_amount = amount - bt_amount   # das ist falsch hier
+
+xmldict = {}
+xmldict['detail_ref'] = args['txn_ref']
+xmldict['department'] = student_record.department
+xmldict['faculty'] = student_record.faculty
+xmldict['fceoyo_amount'] = "%d" % int(100*fceoyo_amount)
+xmldict['bt_amount'] = "%d" % int(100*bt_amount)
+
+if student_record.mode.endswith('_pt'):
+    xmldict['fceoyo_acct'] = "0321100000000046"
+elif student_record.mode.endswith('_sw'):
+    xmldict['fceoyo_acct'] = "0321100000000056"
+else:
+    xmldict['fceoyo_acct'] = "0000000000000000"
+
+
+xmltext = """<payment_item_detail>
+<item_details detail_ref="%(detail_ref)s" college="fceoyo" department="%(department)s" faculty="%(faculty)s">
+<item_detail item_id="1" item_name="fceoyo" item_amt="%(fceoyo_amount)s" bank_id="89" acct_num="%(fceoyo_acct)s" />
+<item_detail item_id="2" item_name="BT" item_amt="%(bt_amount)s" bank_id="89" acct_num="0061001000021095" />
+</item_details>
+</payment_item_detail>""" % xmldict
+
+info['xml_data'] = """<input type="hidden" name="xml_data" value='%s'  />""" % xmltext
+
 args['Amount'] = "%d" % (total_amount)
-args['site_name'] = "fceokene.waeup.org"
+args['site_name'] = "fceoyo.waeup.org"
 args['cust_name_desc'] = "Student Name"
 args['pay_item_id'] = pay_item_id
-args['pay_item_name'] = "FCEOKENE Tuition Payments"
-args['payment_params'] = 'switch_college_split'
-args['xml_data'] = ''
+args['pay_item_name'] = "FCE Oyo Tuition Payments"
+args['payment_params'] = 'college_split'
+#args['xml_data'] = ''
+#args['xml_data'] = xmltext   # info['xml_data']can be used instead
 info['args'] = args
+
 return context.goto_interswitch_form(info=info)
+