Index: /WAeUP_SRP/trunk/WAeUPTables.py
===================================================================
--- /WAeUP_SRP/trunk/WAeUPTables.py	(revision 3742)
+++ /WAeUP_SRP/trunk/WAeUPTables.py	(revision 3743)
@@ -977,6 +977,8 @@
             return None
         es = getattr(doc,'entry_session',None)
-        if es is not None and len(es) == 2 or len(es) == 1:
+        if es is not None and len(es) == 2:
             return es
+        elif len(es) == 9:
+            return es[2:4]    
         try:
             digit = int(doc.jamb_reg_no[0])
Index: /WAeUP_SRP/trunk/Widgets.py
===================================================================
--- /WAeUP_SRP/trunk/Widgets.py	(revision 3742)
+++ /WAeUP_SRP/trunk/Widgets.py	(revision 3743)
@@ -360,4 +360,5 @@
         widget_id = self.getWidgetId()
         value = datastructure[widget_id]
+        #import pdb;pdb.set_trace()        
         try:
             v = str(value)
@@ -372,5 +373,5 @@
             v = ''
         sessions = self._getSessions()
-        #import pdb;pdb.set_trace()
+
         if not sessions.has_key(v):
             datastructure.setError(widget_id, "'%s' not a valid session key" % v)
Index: /WAeUP_SRP/trunk/skins/waeup_fceoyo/pay_interswitch.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_fceoyo/pay_interswitch.py	(revision 3742)
+++ /WAeUP_SRP/trunk/skins/waeup_fceoyo/pay_interswitch.py	(revision 3743)
@@ -67,13 +67,8 @@
 now = DateTime.DateTime()
 info['date'] = now
-info['pay_ship_to'] = "Federal College of Education Oyo"
+info['pay_ship_to'] = "Federal College of Education [Special] Oyo"
 timestamp = "%d" % int(now.timeTime()*1000)
 info['order_id'] = "%s%s" % (student_id[1:],timestamp)
 p_id = "p%s" % timestamp
-
-
-info['surcharge'] = interswitch_amount = '300'
-info['amount'] = amount = fee_dict['all']
-total_amount = 100*int(amount) + 100*int(interswitch_amount)
 
 
@@ -113,4 +108,7 @@
                                                                   p_id,
                                                                   p_id)
+                                                                  
+info['amount'] = amount = fee_dict['all']
+                                                          
 
 logger.info('%(student_id)s initiated online school fee payment with order_id %(order_id)s and callback url %(callback_url)s' % info)
@@ -129,6 +127,9 @@
 
 bt_amount = 1750
+fceoyo_split = 750
+info['surcharge'] = interswitch_amount = 300
+#getSchoolFee provides pure school fee, the fees have to be added
+total_amount = 100* (amount + interswitch_amount + bt_amount + fceoyo_split)        
 
-fceoyo_amount = amount - bt_amount   # das ist falsch hier
 
 xmldict = {}
@@ -136,18 +137,23 @@
 xmldict['department'] = student_record.department
 xmldict['faculty'] = student_record.faculty
-xmldict['fceoyo_amount'] = "%d" % int(100*fceoyo_amount)
-xmldict['bt_amount'] = "%d" % int(100*bt_amount)
+xmldict['amount'] = "%d" % 100*amount
+xmldict['bt_amount'] = "%d" % 100*bt_amount
 
-if student_record.mode.endswith('_pt'):
-    xmldict['fceoyo_acct'] = "0321100000000046"
-elif student_record.mode.endswith('_sw'):
-    xmldict['fceoyo_acct'] = "0321100000000056"
+if student_record.mode in ('ug_sw','prence',):
+    xmldict['fceoyo_acct'] = "0285001000000899"
+    xmldict['bank_id'] = '89'
+elif student_record.mode in ('ug_ft',):
+    xmldict['fceoyo_acct'] = "1681001000137"
+    xmldict['bank_id'] = '125'
 else:
-    xmldict['fceoyo_acct'] = "0000000000000000"
+    xmldict['fceoyo_acct'] = "0000000000000"
+    xmldict['bank_id'] = '0'
 
+xmldict['fceoyo_split'] = "%d" % 100*fceoyo_split
 
 xmltext = """<payment_item_detail>
 <item_details detail_ref="%(detail_ref)s" college="fceoyo" department="%(department)s" faculty="%(faculty)s">
-<item_detail item_id="1" item_name="fceoyo" item_amt="%(fceoyo_amount)s" bank_id="89" acct_num="%(fceoyo_acct)s" />
+<item_detail item_id="1" item_name="fceoyo" item_amt="%(amount)s" bank_id="%(bank_id)s" acct_num="%(fceoyo_acct)s" />
+<item_detail item_id="2" item_name="fceoyo_split" item_amt="%(fceoyo_split)s" bank_id="125" acct_num="1681001000119" />
 <item_detail item_id="2" item_name="BT" item_amt="%(bt_amount)s" bank_id="89" acct_num="0061001000021095" />
 </item_details>
@@ -160,5 +166,5 @@
 args['cust_name_desc'] = "Student Name"
 args['pay_item_id'] = pay_item_id
-args['pay_item_name'] = "FCE Oyo Tuition Payments"
+args['pay_item_name'] = "FCE[Special] Oyo Tuition Payments"
 args['payment_params'] = 'college_split'
 #args['xml_data'] = ''