Index: /WAeUP_SRP/trunk/profiles/aaua/layouts/student_clearance.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/aaua/layouts/student_clearance.xml	(revision 3749)
+++ /WAeUP_SRP/trunk/profiles/aaua/layouts/student_clearance.xml	(revision 3750)
@@ -789,10 +789,10 @@
  </widget>
  <widget name="uniben" meta_type="Boolean Widget">
-  <property name="title">Former FCEO Student</property>
+  <property name="title">Former AAUA Student</property>
   <property name="fields">
    <element value="uniben"/>
   </property>
-  <property name="label">Former FCEO Student</property>
-  <property name="label_edit">Former FCEO Student</property>
+  <property name="label">Former AAUA Student</property>
+  <property name="label_edit">Former AAUA Student</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
Index: /WAeUP_SRP/trunk/profiles/aaua/layouts/student_clearance_fe.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/aaua/layouts/student_clearance_fe.xml	(revision 3749)
+++ /WAeUP_SRP/trunk/profiles/aaua/layouts/student_clearance_fe.xml	(revision 3750)
@@ -777,10 +777,10 @@
  </widget>
  <widget name="uniben" meta_type="Boolean Widget">
-  <property name="title">Former FCEO Student</property>
+  <property name="title">Former AAUA Student</property>
   <property name="fields">
    <element value="uniben"/>
   </property>
-  <property name="label">Former FCEO Student</property>
-  <property name="label_edit">Former FCEO Student</property>
+  <property name="label">Former AAUA Student</property>
+  <property name="label_edit">Former AAUA Student</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
Index: /WAeUP_SRP/trunk/profiles/ois/layouts/student_clearance.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/ois/layouts/student_clearance.xml	(revision 3749)
+++ /WAeUP_SRP/trunk/profiles/ois/layouts/student_clearance.xml	(revision 3750)
@@ -789,10 +789,10 @@
  </widget>
  <widget name="uniben" meta_type="Boolean Widget">
-  <property name="title">Former FCEO Student</property>
+  <property name="title">Former OIS Student</property>
   <property name="fields">
    <element value="uniben"/>
   </property>
-  <property name="label">Former FCEO Student</property>
-  <property name="label_edit">Former FCEO Student</property>
+  <property name="label">Former OIS Student</property>
+  <property name="label_edit">Former OIS Student</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
Index: /WAeUP_SRP/trunk/profiles/ois/layouts/student_clearance_fe.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/ois/layouts/student_clearance_fe.xml	(revision 3749)
+++ /WAeUP_SRP/trunk/profiles/ois/layouts/student_clearance_fe.xml	(revision 3750)
@@ -777,10 +777,10 @@
  </widget>
  <widget name="uniben" meta_type="Boolean Widget">
-  <property name="title">Former FCEO Student</property>
+  <property name="title">Former OIS Student</property>
   <property name="fields">
    <element value="uniben"/>
   </property>
-  <property name="label">Former FCEO Student</property>
-  <property name="label_edit">Former FCEO Student</property>
+  <property name="label">Former OIS Student</property>
+  <property name="label_edit">Former OIS Student</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
Index: /WAeUP_SRP/trunk/profiles/unilorin/layouts/student_clearance.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/unilorin/layouts/student_clearance.xml	(revision 3749)
+++ /WAeUP_SRP/trunk/profiles/unilorin/layouts/student_clearance.xml	(revision 3750)
@@ -789,10 +789,10 @@
  </widget>
  <widget name="uniben" meta_type="Boolean Widget">
-  <property name="title">Former FCEO Student</property>
+  <property name="title">Former Unilorin Student</property>
   <property name="fields">
    <element value="uniben"/>
   </property>
-  <property name="label">Former FCEO Student</property>
-  <property name="label_edit">Former FCEO Student</property>
+  <property name="label">Former Unilorin Student</property>
+  <property name="label_edit">Former Unilorin Student</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
Index: /WAeUP_SRP/trunk/profiles/unilorin/layouts/student_clearance_fe.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/unilorin/layouts/student_clearance_fe.xml	(revision 3749)
+++ /WAeUP_SRP/trunk/profiles/unilorin/layouts/student_clearance_fe.xml	(revision 3750)
@@ -777,10 +777,10 @@
  </widget>
  <widget name="uniben" meta_type="Boolean Widget">
-  <property name="title">Former FCEO Student</property>
+  <property name="title">Former Unilorin Student</property>
   <property name="fields">
    <element value="uniben"/>
   </property>
-  <property name="label">Former FCEO Student</property>
-  <property name="label_edit">Former FCEO Student</property>
+  <property name="label">Former Unilorin Student</property>
+  <property name="label_edit">Former Unilorin Student</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">