Index: WAeUP_SRP/trunk/skins/waeup_fceokene/getSchoolFee.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_fceokene/getSchoolFee.py	(revision 3759)
+++ WAeUP_SRP/trunk/skins/waeup_fceokene/getSchoolFee.py	(revision 3760)
@@ -21,4 +21,5 @@
 
 if not brain.mode.endswith('_sw'):
+    # PRENCE
     if str(brain.level) == '000' and brain.review_state == 'cleared_and_validated':
         if brain.department in ARTS:
@@ -26,4 +27,11 @@
         else:
             d['all'] = 16400
+    # all repeaters
+    if brain.verdict == 'C':
+        if brain.department in ARTS:
+            d['all'] = 10170
+        else:
+            d['all'] = 10645
+    # NCE I fresh
     elif str(brain.level) == '100' and brain.review_state == 'cleared_and_validated':
         if brain.department in ARTS:
@@ -31,9 +39,11 @@
         else:
             d['all'] = 13495
-    elif str(brain.level) == '100' and brain.review_state == 'returning':
+    # NCE II
+    elif str(brain.level) in ('100','110','120') and brain.review_state == 'returning':
         if brain.department in ARTS:
             d['all'] = 12070
         else:
             d['all'] = 12545
+    # NCE III
     elif str(brain.level) in ('200','210','220'):
         if brain.department in ARTS:
@@ -41,12 +51,7 @@
         else:
             d['all'] = 12545
-    # repeaters = spillover
-    elif str(brain.level) in ('300','310','320'):
-        if brain.department in ARTS:
-            d['all'] = 10170
-        else:
-            d['all'] = 10645
     else:
-        d['all'] = 0
+        d['all'] = 0   
+
 else:
     if str(brain.level) == '100' and brain.review_state == 'cleared_and_validated':
@@ -55,9 +60,17 @@
         else:
             d['all'] = 22400
-    elif str(brain.level) == '100' and brain.review_state == 'returning':
+    # all repeaters
+    if brain.verdict == 'C':
+        if brain.department in ARTS:
+            d['all'] = 16900
+        else:
+            d['all'] = 17400
+    # NCE II            
+    elif str(brain.level) in ('100','110','120') and brain.review_state == 'returning':
         if brain.department in ARTS:
             d['all'] = 18400
         else:
             d['all'] = 18900
+    # NCE III
     elif str(brain.level) in ('200','210','220'):
         if brain.department in ARTS:
@@ -65,4 +78,5 @@
         else:
             d['all'] = 20900
+    # NCE IV
     elif str(brain.level) in ('300','310','320'):
         if brain.department in ARTS:
@@ -70,5 +84,5 @@
         else:
             d['all'] = 18900
-
+    # NCE V
     elif str(brain.level) in ('400','410','420'):
         if brain.department in ARTS:
@@ -76,11 +90,4 @@
         else:
             d['all'] = 18900
-
-    # repeaters = spillover
-    elif str(brain.level) in ('500','510','520'):
-        if brain.department in ARTS:
-            d['all'] = 16900
-        else:
-            d['all'] = 17400
     else:
         d['all'] = 0
Index: WAeUP_SRP/trunk/skins/waeup_fceoyo/getSchoolFee.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_fceoyo/getSchoolFee.py	(revision 3759)
+++ WAeUP_SRP/trunk/skins/waeup_fceoyo/getSchoolFee.py	(revision 3760)
@@ -21,4 +21,5 @@
 
 if not brain.mode.endswith('_sw'):
+    # PRENCE
     if str(brain.level) == '000' and brain.review_state == 'cleared_and_validated':
         if brain.department in ARTS:
@@ -26,4 +27,5 @@
         else:
             d['all'] = 15370
+    # NCE I (fresh)
     elif str(brain.level) == '100' and brain.review_state == 'cleared_and_validated':
         if brain.department in ARTS:
@@ -31,5 +33,5 @@
         else:
             d['all'] = 10420
-  # new addition for prence to nce-i students whose fees are different from other nce-i students
+    # new addition for prence to nce-i students whose fees are different from other nce-i students
     elif str(brain.level) == '100' and brain.review_state == 'cleared_and_validated' and brain.entry_mode == 'prence':
         if brain.department in ARTS:
@@ -37,56 +39,53 @@
         else:
             d['all'] = 14420
-    elif str(brain.level) == '100' and brain.review_state == 'returning':
+    # NCE I repeaters
+    elif str(brain.level) in ('100','110') and brain.review_state == 'returning' and brain.verdict == 'C':
         if brain.department in ARTS:
             d['all'] = 8320
         else:
             d['all'] = 8920
-    elif str(brain.level) in ('200','210','220'):
+    # NCE II
+    elif str(brain.level) in ('100','110','120') and brain.review_state == 'returning':
         if brain.department in ARTS:
             d['all'] = 5450
         else:
             d['all'] = 6050
-    # repeaters = spillover
-    elif str(brain.level) == '300':
+    # NCE II repeaters
+    elif str(brain.level) in ('200','210') and brain.verdict == 'C':
+        if brain.department in ARTS:
+            d['all'] = 5450
+        else:
+            d['all'] = 6050  
+    # NCE III
+    elif str(brain.level) in ('200','210','220'):
         if brain.department in ARTS:
             d['all'] = 6200
         else:
             d['all'] = 6800
-    elif str(brain.level) in ('310','320'):
+    # NCE III repeaters
+    elif str(brain.level) in ('300','310') and brain.verdict == 'C':
         if brain.department in ARTS:
             d['all'] = 4950
         else:
             d['all'] = 5550            
+          
     else:
         d['all'] = 0
 else:
-    if str(brain.level) == '100' and brain.review_state == 'cleared_and_validated':
-        if brain.department in ARTS:
-            d['all'] = 11000
-        else:
-            d['all'] = 11000
-    elif str(brain.level) == '100' and brain.review_state == 'returning':
-        if brain.department in ARTS:
-            d['all'] = 11000
-        else:
-            d['all'] = 11000
+    # all repeaters
+    if brain.verdict == 'C':
+        d['all'] = 9000
+    # NCE I
+    elif str(brain.level) == '100' and brain.review_state == 'cleared_and_validated':
+        d['all'] = 11000
+    # NCE II        
+    elif str(brain.level) in ('100','110','120') and brain.review_state == 'returning':
+        d['all'] = 10000
+    # NCE III        
     elif str(brain.level) in ('200','210','220'):
-        if brain.department in ARTS:
-            d['all'] = 10000
-        else:
-            d['all'] = 10000
+        d['all'] = 9500
+    # NCE IV
     elif str(brain.level) in ('300','310','320'):
-        if brain.department in ARTS:
-            d['all'] = 9500
-        else:
-            d['all'] = 9500
-
-    # repeaters = spillover
-    elif str(brain.level) in ('400','410','420'):
-        if brain.department in ARTS:
-            d['all'] = 9000
-        else:
-            d['all'] = 9000
-
+        d['all'] = 9500
     else:
         d['all'] = 0
Index: WAeUP_SRP/trunk/skins/waeup_fceoyo/pay_interswitch.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_fceoyo/pay_interswitch.py	(revision 3759)
+++ WAeUP_SRP/trunk/skins/waeup_fceoyo/pay_interswitch.py	(revision 3760)
@@ -72,5 +72,11 @@
 p_id = "p%s" % timestamp
 info['surcharge'] = interswitch_amount = 300
-info['amount'] = amount = fee_dict['all']
+amount = fee_dict['all']
+bt_amount = 2000
+fceoyo_split = 500
+info['amount'] = amount + bt_amount + fceoyo_split
+
+#getSchoolFee provides pure school fee, the other fees have to be added
+total_amount = 100* (amount + interswitch_amount + bt_amount + fceoyo_split) 
 
 if student_id is None:
@@ -127,9 +133,5 @@
     args[arg] = info[field]
 
-bt_amount = 2000
-fceoyo_split = 500
-
-#getSchoolFee provides pure school fee, the other fees have to be added
-total_amount = 100* (amount + interswitch_amount + bt_amount + fceoyo_split)        
+    
 
 