Index: /WAeUP_SRP/trunk/CHANGES.txt
===================================================================
--- /WAeUP_SRP/trunk/CHANGES.txt	(revision 3768)
+++ /WAeUP_SRP/trunk/CHANGES.txt	(revision 3769)
@@ -114,2 +114,6 @@
 -----------------
 - implement FUT Minna and AAU Ekpoma portals
+
+1.22 (2008-11-16)
+-----------------
+- new colors
Index: /WAeUP_SRP/trunk/skins/waeup_design/WAeUP_Backoffice/render.css.dtml
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_design/WAeUP_Backoffice/render.css.dtml	(revision 3768)
+++ /WAeUP_SRP/trunk/skins/waeup_design/WAeUP_Backoffice/render.css.dtml	(revision 3769)
@@ -1,3 +1,16 @@
 .portalTabTabStyle ul.cpsskinsMenu li a{background:url(waeup_staff_tab_full_2.png) left top no-repeat}
-.colorBarColor{border-color:#B9B9B9;background-color:#B9B9B9;color:#FFFF}
-.colorBarAreaColor{border-color:#B9B9B9;background-color:#FFFFFF;color:#000000}
+.colorBarColor{border-color:#DDDDDD;background-color:#DDDDDD;color:#FFFF}
+.colorBarAreaColor{border-color:#DDDDDD;background-color:#FFFFFF;color:#000000}
+
+.fontColornavigation a, .fontColornavigation a div, .fontColornavigation a span {
+color:black;
+}
+.fontColornavigation a:visited, .fontColornavigation a:visited div, .fontColornavigation a:visited span {
+color:black;
+}
+.fontColornavigation a:active, .fontColornavigation a:active div, .fontColornavigation a:active span {
+color:black;
+}
+.fontColornavigation a:hover, .fontColornavigation a:hover div, .fontColornavigation a:hover span {
+color:black;
+}
Index: /WAeUP_SRP/trunk/skins/waeup_design/WAeUP_Student/render.css.dtml
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_design/WAeUP_Student/render.css.dtml	(revision 3768)
+++ /WAeUP_SRP/trunk/skins/waeup_design/WAeUP_Student/render.css.dtml	(revision 3769)
@@ -1,4 +1,17 @@
 .portalTabTabStyle ul.cpsskinsMenu li a{background:url(waeup_student_tab.png) left top no-repeat}
-.colorBarColor{border-color:#EEDD88;background-color:#EEDD88;color:#000000}
-.colorBarAreaColor{border-color:#EEDD88;background-color:#FFF;color:#000000}
+.colorBarColor{border-color:#551111;background-color:#888888;color:#FFFFFF}
+.colorBarAreaColor{border-color:#888888;background-color:#FFF;color:#000000}
 
+.fontColornavigation a, .fontColornavigation a div, .fontColornavigation a span {
+color:white;
+}
+.fontColornavigation a:visited, .fontColornavigation a:visited div, .fontColornavigation a:visited span {
+color:white;
+}
+.fontColornavigation a:active, .fontColornavigation a:active div, .fontColornavigation a:active span {
+color:white;
+}
+.fontColornavigation a:hover, .fontColornavigation a:hover div, .fontColornavigation a:hover span {
+color:white;
+}
+
Index: /WAeUP_SRP/trunk/skins/waeup_design/common.css.dtml
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_design/common.css.dtml	(revision 3768)
+++ /WAeUP_SRP/trunk/skins/waeup_design/common.css.dtml	(revision 3769)
@@ -495,16 +495,5 @@
 color:Black;
 }
-.fontColornavigation a, .fontColornavigation a div, .fontColornavigation a span {
-color:black;
-}
-.fontColornavigation a:visited, .fontColornavigation a:visited div, .fontColornavigation a:visited span {
-color:black;
-}
-.fontColornavigation a:active, .fontColornavigation a:active div, .fontColornavigation a:active span {
-color:black;
-}
-.fontColornavigation a:hover, .fontColornavigation a:hover div, .fontColornavigation a:hover span {
-color:black;
-}
+
 .fontShapenavigation {
 font-family:Arial,sans-serif,Verdana,Helvetica !important;
Index: /WAeUP_SRP/trunk/skins/waeup_design/custom.css.dtml
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_design/custom.css.dtml	(revision 3768)
+++ /WAeUP_SRP/trunk/skins/waeup_design/custom.css.dtml	(revision 3769)
@@ -4,10 +4,10 @@
   white-space: nowrap;
   background-color: transparent;
-  color: gray;
+  color: #333333;
 }
 
 table.registration td.active{
   white-space: nowrap;
-  color: #00C600;
+  color: #33FF00;
   font-weight: bold;
 }
@@ -15,10 +15,10 @@
 table.registration td a {
   white-space: nowrap;
-  color: gray;
+  color: #333333;
 }
 
 table.registration td a:visited {
   white-space: nowrap;
-  color: gray;
+  color: #333333;
 }
 
@@ -30,10 +30,10 @@
 table.registration td.active a {
   white-space: nowrap;  
-  color: #00C600;
+  color: #33FF00;
 }
 
 table.registration td.active a:visited {
   white-space: nowrap;  
-  color: #00C600;
+  color: #33FF00;
 }
 
@@ -66,5 +66,5 @@
 table.registration td.unsuccessful{
   white-space: nowrap;
-  color: gray;
+  color: #333333;
   text-decoration:line-through; 
   font-weight: bold;
@@ -73,5 +73,5 @@
 table.registration td.unsuccessful a {
   white-space: nowrap;  
-  color: gray;
+  color: #333333;
   text-decoration:line-through; 
 }
@@ -79,10 +79,10 @@
 table.registration td.unsuccessful a:visited {
   white-space: nowrap;  
-  color: gray;
+  color: #333333;
   text-decoration:line-through; 
 }
 
 table.registration td.unsuccessful a:hover {
-  color: gray;
+  color: #333333;
   text-decoration: underline; 
   white-space: nowrap;  
Index: /WAeUP_SRP/trunk/skins/waeup_design/stylesheet_properties.props
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_design/stylesheet_properties.props	(revision 3768)
+++ /WAeUP_SRP/trunk/skins/waeup_design/stylesheet_properties.props	(revision 3769)
@@ -97,5 +97,5 @@
 #boxLinkBackground:string=transparent
 #boxLinkColor:string=#436976
-boxEvenBackground:string=#eeeeee
+boxEvenBackground:string=#dddddd
 boxOddBackground:string=white
 boxHighlight:string=2px solid #ffa500
Index: /WAeUP_SRP/trunk/skins/waeup_layout/portlet_student_notice_display.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_layout/portlet_student_notice_display.pt	(revision 3768)
+++ /WAeUP_SRP/trunk/skins/waeup_layout/portlet_student_notice_display.pt	(revision 3769)
@@ -1,4 +1,4 @@
 <span tal:condition="python: getattr(context.campus.documents,'student_notice_doc',None)">
-<div style="margin: 5px; padding: 5px; background-color: black; color: white"
+<div style="margin: 5px; padding: 5px; background-color: #888888; color: white; border-style:solid; border-width:1px; border-color:white"
      tal:define="doc python: context.campus.documents.student_notice_doc.getContent()"
      tal:content="structure python:doc.wdrender()" />
Index: /WAeUP_SRP/trunk/skins/waeup_layout/portlet_student_workflow_display.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_layout/portlet_student_workflow_display.pt	(revision 3768)
+++ /WAeUP_SRP/trunk/skins/waeup_layout/portlet_student_workflow_display.pt	(revision 3769)
@@ -6,5 +6,5 @@
 <table>           
 <tr><td style="padding: 1em 0em 0.2em 0em;">
-   <strong>Registration Status:</strong>
+   Registration Status:
 </td></tr>
 </table>