Index: WAeUP_SRP/trunk/profiles/aaue/vocabularies/levels.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/aaue/vocabularies/levels.xml	(revision 3764)
+++ WAeUP_SRP/trunk/profiles/aaue/vocabularies/levels.xml	(revision 3770)
@@ -16,3 +16,6 @@
  <item key="700" msgid="">Year 7 (700 Level)</item>
  <item key="800" msgid="">Year 8 (800 Level)</item>
+ <item key="900" msgid="">Year 9 (900 Level)</item>
+ <item key="1000" msgid="">Year 10 (1000 Level)</item>
+ <item key="1100" msgid="">Year 11 (1100 Level)</item>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_personal.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_personal.xml	(revision 3764)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_personal.xml	(revision 3770)
@@ -338,4 +338,15 @@
   <property name="render_format">select</property>
  </widget>
+ <widget name="blood_group" meta_type="String Widget">
+  <property name="title">Blood Group</property>
+  <property name="fields">
+   <element value="blood_group"/>
+  </property>
+  <property name="label">Blood Group</property>
+  <property name="label_edit">Blood Group</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget> 
  <widget name="sponsor_address" meta_type="String Widget">
   <property name="title">Sponsor Address</property>
@@ -442,4 +453,7 @@
    <cell name="sex"/>
   </row>
+  <row>
+   <cell name="blood_group"/>
+  </row>    
   <row>
    <cell name="for_state"/>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_personal_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_personal_fe.xml	(revision 3764)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_personal_fe.xml	(revision 3770)
@@ -346,4 +346,15 @@
   <property name="render_format">select</property>
  </widget>
+ <widget name="blood_group" meta_type="String Widget">
+  <property name="title">Blood Group</property>
+  <property name="fields">
+   <element value="blood_group"/>
+  </property>
+  <property name="label">Blood Group</property>
+  <property name="label_edit">Blood Group</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>  
  <widget name="sponsor_address" meta_type="String Widget">
   <property name="title">Sponsor Address</property>
@@ -450,4 +461,7 @@
    <cell name="sex"/>
   </row>
+  <row>
+   <cell name="blood_group"/>
+  </row>  
   <row>
    <cell name="for_state"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_personal.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_personal.xml	(revision 3764)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_personal.xml	(revision 3770)
@@ -17,4 +17,5 @@
 
  <field name="sex" meta_type="CPS Boolean Field"/>
+ <field name="blood_group" meta_type="CPS String Field"/>
 
  <field name="for_lga" meta_type="CPS String Field"/>
Index: WAeUP_SRP/trunk/profiles/default/vocabularies/application_categories.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies/application_categories.xml	(revision 3764)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies/application_categories.xml	(revision 3770)
@@ -12,4 +12,6 @@
     <item key="sandwich" msgid="">Sandwich</item>
     <item key="pg" msgid="">Postgraduate</item>
+    <item key="dp" msgid="">Diploma</item>
+    
 
 </object>
Index: WAeUP_SRP/trunk/profiles/futminna/vocabularies/entry_modes.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/futminna/vocabularies/entry_modes.xml	(revision 3764)
+++ WAeUP_SRP/trunk/profiles/futminna/vocabularies/entry_modes.xml	(revision 3770)
@@ -19,3 +19,5 @@
  <item key="ct_ft" msgid="">Certificate Full Time</item>
  <item key="ct_pt" msgid="">Certificate Part Time</item>
+ <item key="rm_ft" msgid="">Remedial</item>
+ 
 </object>