Index: WAeUP_Moodle/acreen/akademie/Kopie von header.html
===================================================================
--- WAeUP_Moodle/acreen/akademie/Kopie von header.html	(revision 3768)
+++ 	(revision )
@@ -1,45 +1,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
-<html<?php echo $direction ?>>
-<head>
-    <?php echo $meta ?>
-    <meta name="keywords" content="moodle, <?php echo $title ?> " />
-    <title><?php echo $title ?></title>
-    <link rel="shortcut icon" href="<?php echo $CFG->themewww .'/'. current_theme() ?>/favicon.ico" />
-    <?php include("$CFG->javascript"); ?>
-</head>
-
-<body<?php
-    echo " $bodytags";
-    if ($focus) {
-        echo " onload=\"setfocus()\"";
-    }
-    ?>>
-      
-<div id="page">
-
-<?php //Accessibility: warning: ALT text will need editing if logo changes. 'headermain' is now H1, see theme/standard/styles_layout.css: .headermain
-      if ($home) {  // This is what gets printed on the home page only
-?>
-    <div id="header-home" class="clearfix">
-        <h1 class="headermain"><img alt='Moodle' src='<?php echo $CFG->httpsthemewww .'/'. current_theme() ?>/logo.gif' /></h1>
-        <div class="headermenu"><?php echo $menu ?></div>
-    </div>
-<?php } else if ($heading) {  // This is what gets printed on any other page with a heading 
-?>
-    <div id="header" class="clearfix">
-        <h1 class="headermain"><img alt='Moodle' src='<?php echo $CFG->httpsthemewww .'/'. current_theme() ?>/logo_small.gif' /></h1>
-        <div class="headermenu"><?php echo $menu ?></div>
-    </div>
-<?php } ?>
-<?php //Accessibility: breadcrumb trail/navbar now a DIV, not a table.
-      if ($navigation) { // This is the navigation bar with breadcrumbs  ?>
-    <div class="navbar clearfix">
-        <div class="breadcrumb"><?php print_navigation($navigation); ?></div>
-        <div class="navbutton"><?php echo $button; ?></div>
-    </div>
-<?php } else if ($heading) { // If no navigation, but a heading, then print a line  
-?>
-
-<?php } ?>
-    <!-- END OF HEADER -->
-    <div id="content">
Index: WAeUP_Moodle/acreen/akademie/fw_fonts.css
===================================================================
--- WAeUP_Moodle/acreen/akademie/fw_fonts.css	(revision 3768)
+++ WAeUP_Moodle/acreen/akademie/fw_fonts.css	(revision 3771)
@@ -58,5 +58,5 @@
     font-family: Verdana, Geneva, Arial, Helvetica, sans-serif;
     font-weight: bold;
-    font-size: 0.9em;
+    font-size: 1em;
 }
 
@@ -91,5 +91,5 @@
  
 .sideblock .footer {
-    font-size:0.85em;
+    font-size:1em;
     text-align: left;
 }
Index: WAeUP_Moodle/acreen/akademie/header.html_version1
===================================================================
--- WAeUP_Moodle/acreen/akademie/header.html_version1	(revision 3771)
+++ WAeUP_Moodle/acreen/akademie/header.html_version1	(revision 3771)
@@ -0,0 +1,45 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
+<html<?php echo $direction ?>>
+<head>
+    <?php echo $meta ?>
+    <meta name="keywords" content="moodle, <?php echo $title ?> " />
+    <title><?php echo $title ?></title>
+    <link rel="shortcut icon" href="<?php echo $CFG->themewww .'/'. current_theme() ?>/favicon.ico" />
+    <?php include("$CFG->javascript"); ?>
+</head>
+
+<body<?php
+    echo " $bodytags";
+    if ($focus) {
+        echo " onload=\"setfocus()\"";
+    }
+    ?>>
+      
+<div id="page">
+
+<?php //Accessibility: warning: ALT text will need editing if logo changes. 'headermain' is now H1, see theme/standard/styles_layout.css: .headermain
+      if ($home) {  // This is what gets printed on the home page only
+?>
+    <div id="header-home" class="clearfix">
+        <h1 class="headermain"><img alt='Moodle' src='<?php echo $CFG->httpsthemewww .'/'. current_theme() ?>/logo.gif' /></h1>
+        <div class="headermenu"><?php echo $menu ?></div>
+    </div>
+<?php } else if ($heading) {  // This is what gets printed on any other page with a heading 
+?>
+    <div id="header" class="clearfix">
+        <h1 class="headermain"><img alt='Moodle' src='<?php echo $CFG->httpsthemewww .'/'. current_theme() ?>/logo_small.gif' /></h1>
+        <div class="headermenu"><?php echo $menu ?></div>
+    </div>
+<?php } ?>
+<?php //Accessibility: breadcrumb trail/navbar now a DIV, not a table.
+      if ($navigation) { // This is the navigation bar with breadcrumbs  ?>
+    <div class="navbar clearfix">
+        <div class="breadcrumb"><?php print_navigation($navigation); ?></div>
+        <div class="navbutton"><?php echo $button; ?></div>
+    </div>
+<?php } else if ($heading) { // If no navigation, but a heading, then print a line  
+?>
+
+<?php } ?>
+    <!-- END OF HEADER -->
+    <div id="content">