Index: /WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml	(revision 3784)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml	(revision 3785)
@@ -104,13 +104,4 @@
    <cell name="Description"/>
   </row>
-  <row>
-   <cell name="bank_code"/>
-  </row>
-  <row>
-   <cell name="degree_grade"/>
-  </row>
-  <row>
-   <cell name="college_code"/>
-  </row>
  </table>
 </object>
Index: /WAeUP_SRP/trunk/profiles/futminna/layouts/acco_hall.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/futminna/layouts/acco_hall.xml	(revision 3784)
+++ /WAeUP_SRP/trunk/profiles/futminna/layouts/acco_hall.xml	(revision 3785)
@@ -73,5 +73,5 @@
     <property name="is_limited">True</property>
     <property name="min_value">1</property>
-    <property name="max_value">10</property>
+    <property name="max_value">20</property>
   </widget>
 <widget name="Title" meta_type="String Widget">
@@ -217,7 +217,4 @@
   </row>
   <row>
-   <cell name="nr_of_blocks"/>
-  </row>
-  <row>
    <cell name="nr_of_floors"/>
   </row>
Index: /WAeUP_SRP/trunk/profiles/futminna/layouts/student_application.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/futminna/layouts/student_application.xml	(revision 3784)
+++ /WAeUP_SRP/trunk/profiles/futminna/layouts/student_application.xml	(revision 3785)
@@ -37,5 +37,5 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="prefix">IPTP</property>
+  <property name="prefix">APP</property>
   <property name="reference">jamb_reg_no</property>
   <property name="reuse_pin">False</property>
Index: /WAeUP_SRP/trunk/skins/waeup_design/WAeUP_Student/render.css.dtml
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_design/WAeUP_Student/render.css.dtml	(revision 3784)
+++ /WAeUP_SRP/trunk/skins/waeup_design/WAeUP_Student/render.css.dtml	(revision 3785)
@@ -1,4 +1,4 @@
 .portalTabTabStyle ul.cpsskinsMenu li a{background:url(waeup_student_tab.png) left top no-repeat}
-.colorBarColor{border-color:#551111;background-color:#888888;color:#FFFFFF}
+.colorBarColor{border-color:#888888;background-color:#888888;color:#FFFFFF}
 .colorBarAreaColor{border-color:#888888;background-color:#FFF;color:#000000}
 
Index: eUP_SRP/trunk/skins/waeup_design/WAeUP_Student/render.css.dtml_old
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_design/WAeUP_Student/render.css.dtml_old	(revision 3784)
+++ 	(revision )
@@ -1,4 +1,0 @@
-.portalTabTabStyle ul.cpsskinsMenu li a{background:url(waeup_student_tab.png) left top no-repeat}
-.colorBarColor{border-color:#FFCE81;background-color:#FFCE81;color:#000000}
-.colorBarAreaColor{border-color:#FFCE81;background-color:#FFF;color:#000000}
-
Index: /WAeUP_SRP/trunk/skins/waeup_fceoyo/getInterswitchParams.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_fceoyo/getInterswitchParams.py	(revision 3784)
+++ /WAeUP_SRP/trunk/skins/waeup_fceoyo/getInterswitchParams.py	(revision 3785)
@@ -14,8 +14,8 @@
 d = {}
 d['payment_possible'] = True
-d['pay_ship_to'] = "Federal College Okene"
+d['pay_ship_to'] = "Federal College Oyo"
 
 d['site_id'] = '83'
-d['site_name'] = "fceokene.waeup.org"
+d['site_name'] = "fceoyo.waeup.org"
 d['currency_id'] = '566'
 d['type'] = 'online'
@@ -32,5 +32,5 @@
     d['pay_item_id'] = '8300'
     d['type_description'] = 'Hostel Maintenance Fee'
-    d['pay_item_name'] = "FCE Okene %(type_description)s" % d
+    d['pay_item_name'] = "FCE Oyo %(type_description)s" % d
     if student_record.mode.endswith('_sw'):
         d['amount'] = '2500'
Index: /WAeUP_SRP/trunk/skins/waeup_futminna/getInterswitchParams.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_futminna/getInterswitchParams.py	(revision 3785)
+++ /WAeUP_SRP/trunk/skins/waeup_futminna/getInterswitchParams.py	(revision 3785)
@@ -0,0 +1,44 @@
+## Script (Python) "getInterswitchParams"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=paytype,student,payment_id,student_record
+##title=
+##
+# $Id: getInterswitchParams.py 3625 2008-08-17 07:47:00Z henrik $
+	
+	
+test = ""
+d = {}
+d['payment_possible'] = True
+d['pay_ship_to'] = "Federal University of Technology Minna"
+
+d['site_id'] = '117'
+d['site_name'] = "futminna.waeup.org"
+d['currency_id'] = '566'
+d['type'] = 'online'
+d['status'] = 'started'
+d['surcharge'] = '300'
+if test == 'simulate':
+    d['action'] = "%s/payments/%s/simulate_callback" % (student.absolute_url(),payment_id) #do not use simulate_callback
+elif test == 'test':
+    d['action'] = "https://webpay.interswitchng.com/test_paydirect/webpay/pay.aspx"
+else:
+    d['action'] = "https://webpay.interswitchng.com/paydirect/webpay/pay.aspx"
+if paytype in ("HOM",):
+    d['callback_function'] = 'interswitch_cb'
+    d['pay_item_id'] = '8300'
+    d['type_description'] = 'Hostel Maintenance Fee'
+    d['pay_item_name'] = "FUT Minna %(type_description)s" % d
+    if student_record.level  in ('200','300','400','500') and student_record.faculty in ('EET','SET','AAT'):
+        d['amount'] = '9000'
+    else:
+        d['amount'] = '7000'
+    d['category'] = 'hostel_maintenance'
+    d['item'] = paytype
+    #d['payment_params'] = 'college_split'
+    d['payment_params'] = '0'
+
+return d