Index: WAeUP_SRP/trunk/profiles/ois/layouts/student_firsttime_login.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/ois/layouts/student_firsttime_login.xml	(revision 3789)
+++ WAeUP_SRP/trunk/profiles/ois/layouts/student_firsttime_login.xml	(revision 3790)
@@ -115,5 +115,5 @@
   <property name="label">First name, middle name or last name</property>
   <property
-     name="label_edit">Enter either your  first, middle or last name</property>
+     name="label_edit">Enter last name</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
Index: WAeUP_SRP/trunk/skins/waeup_futminna/pay_interswitch.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_futminna/pay_interswitch.py	(revision 3789)
+++ WAeUP_SRP/trunk/skins/waeup_futminna/pay_interswitch.py	(revision 3790)
@@ -81,5 +81,5 @@
 
 if True:
-    info['action'] = "https://webpay.interswitchng.com/test_paydirect/webpay/pay.aspx"
+    info['action'] = "https://webpay.interswitchng.com/paydirect/webpay/pay.aspx"
 else:
     info['action'] = "%s/payments/%s/simulate_callback" % (student.absolute_url(),p_id)
Index: WAeUP_SRP/trunk/skins/waeup_ois/getPaymentsFolderInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_ois/getPaymentsFolderInfo.py	(revision 3790)
+++ WAeUP_SRP/trunk/skins/waeup_ois/getPaymentsFolderInfo.py	(revision 3790)
@@ -0,0 +1,125 @@
+## Script (Python) "getPaymentsFolderInfo"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=
+##title=
+##
+# $Id: getPaymentsFolderInfo.py 2761 2007-11-26 09:45:58Z henrik $
+"""
+Info for the PaymentsFolder
+"""
+from Products.AdvancedQuery import Eq, Between, Le,In
+
+mtool = context.portal_membership
+wftool = context.portal_workflow
+member = mtool.getAuthenticatedMember()
+payments_catalog = context.payments_catalog
+aq_payments = payments_catalog.evalAdvancedQuery
+if mtool.isAnonymousUser():
+    return None
+try:
+    from Products.zdb import set_trace
+except:
+    def set_trace():
+        pass
+
+def cmp_id(a,b):
+    s1 = "%(id)s" % a
+    s2 = "%(id)s" % b
+    if s1 == s2:
+        return 0
+    if s1 > s2:
+        return 1
+    return -1
+
+import DateTime
+request = context.REQUEST
+#students = context.portal_url.getPortalObject().campus.students
+student_id = context.getStudentId()
+if student_id is None:
+    return context.REQUEST.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
+#student = getattr(students,student_id)
+student_record = context.students_catalog.getRecordByKey(student_id)
+
+
+info = {}
+is_so = info['is_so'] = context.isSectionOfficer()
+is_student = info['is_student'] = context.isStudent()
+info['student_name'] = student_record.name
+info['query_url'] = "https://webpay.interswitchng.com/paydirect/services/TransactionQueryURL.aspx"
+review_state = info['review_state'] = student_record.review_state
+parttime = student_record.mode and student_record.mode.endswith('_pt')
+fulltime = student_record.mode and student_record.mode.endswith('_ft')
+
+
+session = student_record.session
+next_info = context.getNextInfo(student_record)
+info['next_session'] = next_info['next_session_id']
+info['next_session_str'] = next_info['next_session_str']
+info['payment_method'] = ""
+info['reasons'] = next_info['reasons']
+
+# begin customization
+info['payment_method'] = "online_payment"
+info['prod_id'] = '00'
+info['gown'] = False
+# end customization
+
+info['student_name'] = student_record.name
+payments_path = "%s/campus/students/%s/payments" % (context.portal_url(),student_id)
+payments = []
+payment_records = aq_payments(Eq('student_id',student_id)) # & Eq('session_id',student_record.session))
+vocabularies = context.portal_vocabularies
+paid_fees = []
+for payment in payment_records:
+    if payment.status == "paid":
+        paid_fees += "%s_%s" % (payment.category,payment.session_id),
+#info['pf'] = paid_fees
+for payment in payment_records:
+    row = {}
+    row['id'] = payment.key
+    if payment.status == 'invalid':
+        row['title'] = "Invalid Payment, Naira %s, %s" % (payment.amount,
+                                                          payment.date.strftime("%d/%m/%y %H:%M:%S"))
+    else:
+        row['title'] = "%s for Session %s, Naira %s, %s" % (vocabularies.payment_categories.get(payment.category),
+                                                            vocabularies.sessions.get(payment.session_id),
+                                                            payment.amount,
+                                                            payment.date.strftime("%d/%m/%y %H:%M:%S"))
+    oid = payment.order_id
+    onr = oid.rfind('-')+1
+    if onr > 0:
+        start_pos = onr
+    else:
+        start_pos = 6
+    url = row['url'] = "%s/p%s" % (payments_path,oid[start_pos:])
+    row['is_requeryable'] = "%s_%s" % (payment.category,payment.session_id) not in paid_fees and payment.type == 'online' or str(member) in ('admin',)
+    row['is_approvable'] = is_so and row['is_requeryable'] and payment.category == 'schoolfee' # does not make sense for maitenance
+    row['resp_desc'] = payment.resp_desc or 'Payment Process Interrupted'
+    row['trans_ref'] = payment.order_id
+    if row['is_requeryable']:
+        row['callback_url'] = "%(url)s/interswitch_cb" % row
+#        if payment.category == 'schoolfee':
+#            row['callback_url'] = "%(url)s/interswitch_cb" % row
+#        elif payment.category == 'hostel_maintenance':
+#            row['callback_url'] = "%(url)s/interswitch_acco_cb" % row
+#        else:
+        href = '%(query_url)s' % info
+        href += '?transRef=%(trans_ref)s' % row
+        href += '&prodID=%(prod_id)s' % info
+        href += '&redirectURL=%(callback_url)s' % row
+        row['href'] = href
+    if payment.status == 'paid':
+        row['confirmed'] = 'active'
+    else:
+        row['confirmed'] = 'unsuccessful'
+    row['is_editable'] = is_so and (row['confirmed'] == 'active')
+    payments.append(row)
+
+payments.sort(cmp_id)
+info['payments'] = payments
+return info
+
Index: WAeUP_SRP/trunk/skins/waeup_ois/study_course_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_ois/study_course_view.pt	(revision 3789)
+++ WAeUP_SRP/trunk/skins/waeup_ois/study_course_view.pt	(revision 3790)
@@ -8,4 +8,5 @@
     <span tal:define="create_level info/create_level|nothing;
                       is_so info/is_so;
+                      is_student here/isStudent;
                       titles here/getStudentObjectTitles;">               
     <a href=""
@@ -59,4 +60,6 @@
         </span>
       </table>        
+      
+     
     
     <form action="" method="post" class="group" onsubmit="return submit_once()"
@@ -65,5 +68,5 @@
           >
       <span tal:condition="rows">
-      
+
       <table  class="contentListing" width="100%" summary="content layout" id="folder_content">      
         <tr tal:repeat="row rows"
@@ -81,5 +84,5 @@
           <td><a href="view"
                  tal:attributes="href string:${row/url}">
-            <strong tal:content="row/title" /></a> 
+            <span tal:condition="is_student">View Results of </span><strong tal:content="row/title" /></a> 
           </td>
         </tr>