Index: WAeUP_SRP/trunk/skins/waeup_student/apply_admission_2.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/apply_admission_2.py	(revision 3791)
+++ WAeUP_SRP/trunk/skins/waeup_student/apply_admission_2.py	(revision 3793)
@@ -96,5 +96,4 @@
 info['screening_type'] = screening_type
 
-
 # allow also APP pins for CEST applications
 layout = "application_%s_2" % screening_type
@@ -117,5 +116,5 @@
                                 )
     if psm == 'invalid':
-        return context.apply_admission_form(rendered = res,
+        return context.apply_admission_form_2(rendered = res,
                                             psm = "Please correct your input!",
                                             mode = mode,
@@ -124,5 +123,5 @@
                                         )
     elif psm == '':
-        return context.apply_admission_form(rendered = res,
+        return context.apply_admission_form_2(rendered = res,
                                             psm = psm,
                                             ds = ds,
@@ -174,5 +173,5 @@
 
     if psm == 'invalid':
-        return context.apply_admission_form(rendered = res,
+        return context.apply_admission_form_2(rendered = res,
                                             psm = "Please correct your input!",
                                             mode = mode,
@@ -279,5 +278,5 @@
     passport_uploaded = False
 
-return context.apply_admission_form(rendered = res,
+return context.apply_admission_form_2(rendered = res,
                                     psm = psm,
                                     mode = mode,
Index: WAeUP_SRP/trunk/skins/waeup_student/apply_admission_form_2.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/apply_admission_form_2.pt	(revision 3793)
+++ WAeUP_SRP/trunk/skins/waeup_student/apply_admission_form_2.pt	(revision 3793)
@@ -0,0 +1,104 @@
+<tal:block define="rendered_main options/rendered;
+           portal_status_message options/psm;
+           ds options/ds;
+           mode options/mode;
+           show_submit options/show_submit|nothing;
+           info options/info;
+           expired info/expired;
+           venue_display python:False;
+           deadline info/deadline;
+           "
+           >
+  <metal:block define-macro="edit_form">
+    <metal:block use-macro="here/main_template/macros/master">
+      <metal:block fill-slot="main">
+        <span tal:condition="python:not mode=='view' and not expired">
+          <h3 tal:content="info/heading" />
+        </span>
+        <span tal:condition="python:expired and mode!='view'">
+          <h3>Show Application Record! </h3>
+        </span>
+        
+        <h3 tal:condition="python:mode=='view'">Your Application Record</h3>
+        <br />
+        <form action="" id="editForm" method="post" 
+              enctype="multipart/form-data" class="workflow"
+              tal:attributes="action string:${context/absolute_url}/apply_admission_2/${info/screening_type}"
+              >
+          <input type="hidden" name="screening_type"
+                 tal:attributes="value info/screening_type|nothing"
+                 tal:condition="info/screening_type|nothing"/>
+          <input type="hidden" name="reg_no"
+                 tal:attributes="value info/reg_no|nothing"
+                 tal:condition="info/reg_no|nothing"/>
+          <input type="hidden" name="pin"
+                 tal:attributes="value info/pin|nothing"
+                 tal:condition="info/pin|nothing"/>
+          <input type="hidden" name="expiration_date"
+                 tal:attributes="value info/expiration_date|nothing"
+                 tal:condition="info/expiration_date|nothing"/>
+                
+          <div tal:replace="structure rendered_main" />
+          
+          <metal:block tal:condition="python: show_submit and mode == 'edit' and not expired">
+            <br/>
+            <input type="checkbox" class="standalone" 
+                   name="confirm"
+                   value="" 
+                   />
+            <span tal:replace="info/confirm" />
+            <br/><br/>
+          </metal:block>
+
+          
+          <input type="submit" class="standalone" 
+                 name="edit"
+                 value="Save" 
+                 tal:condition="python: mode == 'edit'" />
+          <input type="submit" class="standalone" name="apply"
+                 value="Final Submit"
+                 tal:condition="python: show_submit and mode == 'edit' and not expired"
+                 tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                                 ('Do you really want to submit? You will not be able to edit your data after submission.', )"
+                 />
+          <input type="submit" 
+                 class="standalone" 
+                 name="create"
+                 value="Show Application Record"
+                 tal:condition="python: mode == 'create'" 
+                 />
+          </form>
+          
+          <metal:block tal:condition="venue_display">
+              <br />
+                <strong></strong>
+              <br />  <br />  
+          </metal:block>
+          
+          <metal:block tal:condition="python:info['status'] == 'created'">
+              <br />
+                <strong>You have been provisionally admitted into <span tal:replace="here/portal_properties/institution_title" />. 
+                        Your member record has been created. 
+                        Please purchase a second Application Scratch Card and proceed to 'Check Admission'.</strong>
+              <br />  <br />  
+          </metal:block>          
+          <metal:block tal:condition="python: mode in ('create','edit') and not expired">
+            <p>Instructions :</p>
+            <ul>
+              <li>Enter your <span tal:condition="python:not info['screening_type'] in ('prence','cest','sandwich')">JAMB Registration Number and the</span> Application PIN.</li> 
+              <li>Fill the form and upload your Passport Photograph with red background in jpg format.</li> 
+              <li>Save and preview picture.
+              <li>Press the 'Final Submit' button.</li>
+            </ul>
+            <br />
+            <font color="red">Application submission deadline is at Midnight on <span tal:content="deadline" />.  
+            No application will be treated after the deadline. </font>
+          </metal:block>
+          <metal:block tal:condition="expired">
+            <br /><font color="red">The application period has expired or application has been temporarily disabled! </font>   
+          </metal:block>
+          
+      </metal:block>
+    </metal:block>
+  </metal:block>
+</tal:block>